import 'package:mmoo_base/entity/label_entity.dart';

labelEntityFromJson(LabelEntity data, Map<String, dynamic> json) {
	if (json['anchorLabel'] != null) {
		data.anchorLabel = (json['anchorLabel'] as List).map((v) => LabelItem().fromJson(v)).toList();
	}
	if (json['talkLabel'] != null) {
		data.talkLabel = (json['talkLabel'] as List).map((v) => LabelItem().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> labelEntityToJson(LabelEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['anchorLabel'] =  entity.anchorLabel?.map((v) => v.toJson())?.toList();
	data['talkLabel'] =  entity.talkLabel?.map((v) => v.toJson())?.toList();
	return data;
}

labelItemFromJson(LabelItem data, Map<String, dynamic> json) {
	if (json['value'] != null) {
		data.value = json['value'].toString();
	}
	if (json['code'] != null) {
		data.code = json['code'].toString();
	}
	if (json['type'] != null) {
		data.type = json['type'].toString();
	}
	return data;
}

Map<String, dynamic> labelItemToJson(LabelItem entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['value'] = entity.value;
	data['code'] = entity.code;
	data['type'] = entity.type;
	return data;
}