import 'package:mmoo_base/entity/language_entity.dart';

languageEntityFromJson(LanguageEntity data, Map<String, dynamic> json) {
	if (json['lists'] != null) {
		data.lists = (json['lists'] as List).map((v) => LanguageLists().fromJson(v)).toList();
	}
	return data;
}

Map<String, dynamic> languageEntityToJson(LanguageEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['lists'] =  entity.lists?.map((v) => v.toJson())?.toList();
	return data;
}

languageListsFromJson(LanguageLists data, Map<String, dynamic> json) {
	if (json['id'] != null) {
		data.id = json['id'] is String
				? int.tryParse(json['id'])
				: json['id'].toInt();
	}
	if (json['value'] != null) {
		data.value = json['value'].toString();
	}
	if (json['code'] != null) {
		data.code = json['code'].toString();
	}
	return data;
}

Map<String, dynamic> languageListsToJson(LanguageLists entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['id'] = entity.id;
	data['value'] = entity.value;
	data['code'] = entity.code;
	return data;
}