import 'package:mmoo_base/entity/match_entity.dart';

matchEntityFromJson(MatchEntity data, Map<String, dynamic> json) {
	if (json['age'] != null) {
		data.age = json['age'].toString();
	}
	if (json['callCost'] != null) {
		data.callCost = json['callCost'].toString();
	}
	if (json['callCostUserId'] != null) {
		data.callCostUserId = json['callCostUserId'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['houseId'] != null) {
		data.houseId = json['houseId'].toString();
	}
	if (json['matchCostUserId'] != null) {
		data.matchCostUserId = (json['matchCostUserId'] as List).map((v) => MatchCostUser().fromJson(v)).toList();
	}
	if (json['matched'] != null) {
		data.matched = json['matched'].toString();
	}
	if (json['matchedAnchor'] != null) {
		data.matchedAnchor = json['matchedAnchor'].toString();
	}
	if (json['nickName'] != null) {
		data.nickName = json['nickName'].toString();
	}
	if (json['userId'] != null) {
		data.userId = json['userId'].toString();
	}
	if (json['matchTime'] != null) {
		data.matchTime = json['matchTime'].toString();
	}
	return data;
}

Map<String, dynamic> matchEntityToJson(MatchEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['age'] = entity.age;
	data['callCost'] = entity.callCost;
	data['callCostUserId'] = entity.callCostUserId;
	data['headImage'] = entity.headImage;
	data['houseId'] = entity.houseId;
	data['matchCostUserId'] =  entity.matchCostUserId?.map((v) => v.toJson())?.toList();
	data['matched'] = entity.matched;
	data['matchedAnchor'] = entity.matchedAnchor;
	data['nickName'] = entity.nickName;
	data['userId'] = entity.userId;
	data['matchTime'] = entity.matchTime;
	return data;
}

matchCostUserFromJson(MatchCostUser data, Map<String, dynamic> json) {
	if (json['cost'] != null) {
		data.cost = json['cost'].toString();
	}
	if (json['userId'] != null) {
		data.userId = json['userId'].toString();
	}
	return data;
}

Map<String, dynamic> matchCostUserToJson(MatchCostUser entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['cost'] = entity.cost;
	data['userId'] = entity.userId;
	return data;
}