import 'package:mmoo_base/entity/mian_list_entity.dart';

mainListEntityFromJson(MainListEntity data, Map<String, dynamic> json) {
	if (json['rows'] != null) {
		data.rows = (json['rows'] as List).map((v) => ListAnchor().fromJson(v)).toList();
	}
	if (json['size'] != null) {
		data.size = json['size'] is String
				? int.tryParse(json['size'])
				: json['size'].toInt();
	}
	if (json['num'] != null) {
		data.num = json['num'] is String
				? int.tryParse(json['num'])
				: json['num'].toInt();
	}
	return data;
}

Map<String, dynamic> mainListEntityToJson(MainListEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['rows'] =  entity.rows?.map((v) => v?.toJson())?.toList();
	data['size'] = entity.size;
	data['num'] = entity.num;
	return data;
}

listAnchorFromJson(ListAnchor data, Map<String, dynamic> json) {
	if (json['userId'] != null) {
		data.userId = json['userId'] is String
				? int.tryParse(json['userId'])
				: json['userId'].toInt();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['country'] != null) {
		data.country = json['country'].toString();
	}
	if (json['birthday'] != null) {
		data.birthday = json['birthday'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'] is String
				? int.tryParse(json['gender'])
				: json['gender'].toInt();
	}
	if (json['online'] != null) {
		data.online = json['online'] is String
				? int.tryParse(json['online'])
				: json['online'].toInt();
	}
	if (json['haveVideo'] != null) {
		data.haveVideo = json['haveVideo'] is String
				? int.tryParse(json['haveVideo'])
				: json['haveVideo'].toInt();
	}
	if (json['cost'] != null) {
		data.cost = json['cost'] is String
				? int.tryParse(json['cost'])
				: json['cost'].toInt();
	}
	if (json['isAnchor'] != null) {
		data.isAnchor = json['isAnchor'] is String
				? int.tryParse(json['isAnchor'])
				: json['isAnchor'].toInt();
	}
	if (json['isCare'] != null) {
		data.isCare = json['isCare'] is String
				? int.tryParse(json['isCare'])
				: json['isCare'].toInt();
	}
	if (json['haveFreeVideo'] != null) {
		data.haveFreeVideo = json['haveFreeVideo'] is String
				? int.tryParse(json['haveFreeVideo'])
				: json['haveFreeVideo'].toInt();
	}
	if (json['sort'] != null) {
		data.sort = json['sort'] is String
				? int.tryParse(json['sort'])
				: json['sort'].toInt();
	}
	if (json['userVideoId'] != null) {
		data.userVideoId = json['userVideoId'] is String
				? int.tryParse(json['userVideoId'])
				: json['userVideoId'].toInt();
	}
	return data;
}

Map<String, dynamic> listAnchorToJson(ListAnchor entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['userId'] = entity.userId;
	data['nickname'] = entity.nickname;
	data['country'] = entity.country;
	data['birthday'] = entity.birthday;
	data['headImage'] = entity.headImage;
	data['gender'] = entity.gender;
	data['online'] = entity.online;
	data['haveVideo'] = entity.haveVideo;
	data['cost'] = entity.cost;
	data['isAnchor'] = entity.isAnchor;
	data['isCare'] = entity.isCare;
	data['haveFreeVideo'] = entity.haveFreeVideo;
	data['sort'] = entity.sort;
	data['userVideoId'] = entity.userVideoId;
	return data;
}