import 'package:mmoo_base/entity/user_entity.dart';
import 'package:mmoo_base/entity/label_entity.dart';

userEntityFromJson(UserEntity data, Map<String, dynamic> json) {
	if (json['flowingCount'] != null) {
		data.flowingCount = json['flowingCount'].toString();
	}
	if (json['flowerCount'] != null) {
		data.flowerCount = json['flowerCount'].toString();
	}
	if (json['isAgendHost'] != null) {
		data.isAgendHost = json['isAgendHost'].toString();
	}
	if (json['country'] != null) {
		data.country = json['country'].toString();
	}
	if (json['rongToken'] != null) {
		data.rongToken = json['rongToken'].toString();
	}
	if (json['gender'] != null) {
		data.gender = json['gender'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	if (json['myFriends'] != null) {
		data.myFriends = json['myFriends'].toString();
	}
	if (json['invUrl'] != null) {
		data.invUrl = json['invUrl'].toString();
	}
	if (json['token'] != null) {
		data.token = json['token'].toString();
	}
	if (json['isHost'] != null) {
		data.isHost = json['isHost'].toString();
	}
	if (json['money'] != null) {
		data.money = json['money'].toString();
	}
	if (json['newUser'] != null) {
		data.newUser = json['newUser'].toString();
	}
	if (json['msgNum'] != null) {
		data.msgNum = json['msgNum'].toString();
	}
	if (json['name'] != null) {
		data.name = json['name'].toString();
	}
	if (json['disturb'] != null) {
		data.disturb = json['disturb'].toString();
	}
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['userType'] != null) {
		data.userType = json['userType'].toString();
	}
	if (json['invCode'] != null) {
		data.invCode = json['invCode'].toString();
	}
	if (json['applyStatus'] != null) {
		data.applyStatus = json['applyStatus'].toString();
	}
	if (json['age'] != null) {
		data.age = json['age'].toString();
	}
	if (json['email'] != null) {
		data.email = json['email'].toString();
	}
	if (json['desc'] != null) {
		data.desc = json['desc'].toString();
	}
	if (json['paidUser'] != null) {
		data.paidUser = json['paidUser'].toString();
	}
	if (json['isVip'] != null) {
		data.isVip = json['isVip'].toString();
	}
	if (json['sendCoins'] != null) {
		data.sendCoins = json['sendCoins'].toString();
	}
	if (json['rtmToken'] != null) {
		data.rtmToken = json['rtmToken'].toString();
	}
	if (json['signature'] != null) {
		data.signature = json['signature'].toString();
	}
	if (json['pic'] != null) {
		data.pic = (json['pic'] as List).map((v) => UserPic().fromJson(v)).toList();
	}
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['shareUrl'] != null) {
		data.shareUrl = json['shareUrl'].toString();
	}
	if (json['label'] != null) {
		data.label = (json['label'] as List).map((v) => LabelItem().fromJson(v)).toList();
	}
	if (json['localData'] != null) {
		data.localData = json['localData'];
	}
	if (json['likes'] != null) {
		data.likes = (json['likes'] as List).map((v) => v).toList().cast<dynamic>();
	}
	if (json['rechargeCount'] != null) {
		data.rechargeCount = json['rechargeCount'] is String
				? int.tryParse(json['rechargeCount'])
				: json['rechargeCount'].toInt();
	}
	return data;
}

Map<String, dynamic> userEntityToJson(UserEntity entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['flowingCount'] = entity.flowingCount;
	data['flowerCount'] = entity.flowerCount;
	data['isAgendHost'] = entity.isAgendHost;
	data['country'] = entity.country;
	data['rongToken'] = entity.rongToken;
	data['gender'] = entity.gender;
	data['headImage'] = entity.headImage;
	data['myFriends'] = entity.myFriends;
	data['invUrl'] = entity.invUrl;
	data['token'] = entity.token;
	data['isHost'] = entity.isHost;
	data['money'] = entity.money;
	data['newUser'] = entity.newUser;
	data['msgNum'] = entity.msgNum;
	data['name'] = entity.name;
	data['disturb'] = entity.disturb;
	data['id'] = entity.id;
	data['userType'] = entity.userType;
	data['invCode'] = entity.invCode;
	data['applyStatus'] = entity.applyStatus;
	data['age'] = entity.age;
	data['email'] = entity.email;
	data['desc'] = entity.desc;
	data['paidUser'] = entity.paidUser;
	data['isVip'] = entity.isVip;
	data['sendCoins'] = entity.sendCoins;
	data['rtmToken'] = entity.rtmToken;
	data['signature'] = entity.signature;
	data['pic'] =  entity.pic?.map((v) => v.toJson())?.toList();
	data['online'] = entity.online;
	data['shareUrl'] = entity.shareUrl;
	data['label'] =  entity.label?.map((v) => v.toJson())?.toList();
	data['localData'] = entity.localData;
	data['likes'] = entity.likes;
	data['rechargeCount'] = entity.rechargeCount;
	return data;
}

userPicFromJson(UserPic data, Map<String, dynamic> json) {
	if (json['id'] != null) {
		data.id = json['id'].toString();
	}
	if (json['cover'] != null) {
		data.cover = json['cover'].toString();
	}
	if (json['picId'] != null) {
		data.picId = json['picId'].toString();
	}
	if (json['url'] != null) {
		data.url = json['url'].toString();
	}
	return data;
}

Map<String, dynamic> userPicToJson(UserPic entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['id'] = entity.id;
	data['cover'] = entity.cover;
	data['picId'] = entity.picId;
	data['url'] = entity.url;
	return data;
}

userOnlineFromJson(UserOnline data, Map<String, dynamic> json) {
	if (json['online'] != null) {
		data.online = json['online'].toString();
	}
	if (json['nickname'] != null) {
		data.nickname = json['nickname'].toString();
	}
	if (json['headImage'] != null) {
		data.headImage = json['headImage'].toString();
	}
	return data;
}

Map<String, dynamic> userOnlineToJson(UserOnline entity) {
	final Map<String, dynamic> data = new Map<String, dynamic>();
	data['online'] = entity.online;
	data['nickname'] = entity.nickname;
	data['headImage'] = entity.headImage;
	return data;
}